
Infrastructure - Task #1653

Story # 1652 (Closed): Refactor Metacat MN and CN classes to reflect 0.6.2 API

Create Metacat MN impl classes

2011-06-21 17:59 - Chris Jones

Status: Closed Start date: 2011-06-21

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: None Story Points:  

Product Version: *   

Description

Refactor CrudService into MNBase, MNCoreImpl, MNReadImpl, MNAuthorizationImpl, and MNStorageImpl, MNReplicationImpl

History

#1 - 2011-06-21 21:13 - Chris Jones

We'll use one classs to handle MN service calls:

MNodeService extends D1NodeService implements MNCore, MNRead, MNAuthorization, MNStorage, MNReplication

#2 - 2011-06-23 14:39 - Chris Jones

- Status changed from New to In Progress

Stub methods are finished, and CrudService functionality needs to be migrated to this class.

#3 - 2011-06-30 13:29 - Chris Jones

MNodeService implements MNRead, MNStorage, MNAuthorization, and MNCore.ping().  Remaining: MNCore.getOperationsStatistics(),

MNCore.getCapabilities(), MNReplication.replicate() 

#4 - 2011-08-24 15:38 - Chris Jones

- Milestone set to None

Remaining: MNCore.getOperationsStatistics(), MNCore.getStatus(), which are not defined yet.

#5 - 2011-09-01 15:33 - Chris Jones

- Status changed from In Progress to Closed

The MNCore API has been modified to drop getOperationsStatistics() and getStatus(), so we're done.
